[Seaside] Versions of Seaside, Scriptaculous, ShoreComponents and PlotKit for production

Philippe Marschall philippe.marschall at gmail.com
Wed May 17 19:31:55 UTC 2006


PlotKit should work on any Seaside 2.6. It is of course not tested on
all these versions but it contains only 7 lines of Seaside rendring
Please note that PlotKit also requires Scriptaculous to convert Squeak
objects to JavaScript objects. I haven't tested the >= 100 branch of
Scriptaculous. If you don't want to find out for yourself if it works
I'd recommend Scriptaculous-lr.70.
I'm not aware of any specific Squeak version requirements for PlotKit.

You can find PlotKit in the Seachart Monticello repository
and Scriptaculous in the Seaside Monticello repository

I can not say anything about compability with ShoreComponents.

For PlotKit <-> Scriptaculous see the link in the post of John Pierce.


2006/5/17, Sebastián Sastre <ssastre at seaswork.com.ar>:
> Hi all,
>     I want to know if one can have now a squeak image loaded with
> Seaside
> Scriptaculous
> ShoreComponents
> PlotKit
>     confident enough to make an application wich can go to production.
>     Right now I'm using as a base the seaside 2.5 image downloaded from the
> seaside web page, and the ShoreComponents installed from SqueakMap. That is
> fine right now, but I want to add some of the PlotKit features and perhaps
> one or two scriptaculous ones.
>     Wich remomendations I do have?
>     Where I should look for this code? allways in SqueakSource? Wich
> releases should I install?
>     thank you
> Sebstian
> _______________________________________________
> Seaside mailing list
> Seaside at lists.squeakfoundation.org
> http://lists.squeakfoundation.org/cgi-bin/mailman/listinfo/seaside

More information about the Seaside mailing list